Last Comment Bug 759019 - Make nsHttpResponseHead and nsHttpRequestHead copy-constructable, assignable, and const-correct
: Make nsHttpResponseHead and nsHttpRequestHead copy-constructable, assignable,...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: mozilla15
Assigned To: Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on: 759257
Blocks: 746018
  Show dependency treegraph
 
Reported: 2012-05-27 21:41 PDT by Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
Modified: 2012-05-29 00:54 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Make nsHttpResponseHead and nsHttpRequestHead copy-constructable, assignable, and const-correct (24.60 KB, patch)
2012-05-27 21:41 PDT, Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
brian: review+
Details | Diff | Splinter Review

Description Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-27 21:41:59 PDT
Created attachment 627615 [details] [diff] [review]
Make nsHttpResponseHead and nsHttpRequestHead copy-constructable, assignable, and const-correct

This patch is needed by multiple bugs fixes, including bug 746018, so I am giving it its own bug so it can get committed independently from the other bugs. It was already r+d by biesi in bug 722034 attachment 624126 [details] [diff] [review].
Comment 1 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-27 21:45:14 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/ab47ee11d57d
Comment 2 Ed Morley [:emorley] 2012-05-28 09:42:06 PDT
https://hg.mozilla.org/mozilla-central/rev/ab47ee11d57d

Note You need to log in before you can comment on or make changes to this bug.